Name:       nodejs-mkdirp
Version:    0.3.2
Release:    1%{?dist}
Summary:    Recursively mkdir, like `mkdir -p`
License:    MIT
Group:      Development/Libraries
URL:        https://github.com/substack/node-mkdirp
Source0:    http://registry.npmjs.org/mkdirp/-/mkdirp-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if !(0%{?fedora} >= 17)
Requires:       nodejs
%endif

%description
%{summary}.

%prep
%setup -q -n package

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/mkdirp
cp -pr index.js package.json %{buildroot}%{nodejs_libdir}/mkdirp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/mkdirp
%doc README.markdown examples

%changelog
* Wed May 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.2-1
- New upstream release 0.3.2

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.1-2
- guard Requires for F17 automatic depedency generation

* Mon Apr 02 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.1-1
- New upstream release 0.3.1

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.3.0-1
- new upstream release 0.3.0

* Thu Dec 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.1-1
- initial package
